<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
//echo ("idlaco $idLabo <br>");
$nomeOperador=$sessao->getVar('nomeuser');
$nivel=$sessao->getVar('nivel');
$codprodutor=$sessao->getVar('codprodutor');
$anoCorrente=$sessao->getVar('anocorrente');
$sessao->setVar('controle5',"");//matei ele aqui pois ele serve pocutulamente so para levar ao laudo final
$sessao->setVar('controle6',"");//matei ele aqui pois ele serve pocutulamente so para levar ao laudo final
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
$cliente=$sessao->getVar('cliente');
//////////////////

if($nivel=='PRODUTOR'):
    //$desabilitado='disabled';
    $sqlProdutor="select prd_apelido,prd_id from remetente where prd_id=".$codprodutor;
    //ENTRA DE QUAKQUER MANEIRA
    $generica=new tabelagenerica();
    $generica->extras_select =$sqlProdutor;
	$generica->selecionaCamposEspecial($generica);
    while ($resgenerica= $generica->retornaDados()):
		$apelido=$resgenerica->prd_apelido;
		$idProdutorLogado=$resgenerica->prd_id;
        //echo("idProdutorlogado=$idProdutorLogado<br>"); 
		
		
		
    endwhile; 
endif;


/////////////////////



$anoDocumento=$sessao->getVar('controle4');
if($anoDocumento<2000):
   //echo(" ano documento pegando do inicio $anoDocumento<br>");
   $anoDocumento=date('Y');
   $sessao->setVar('controle4',$anoDocumento);
endif;
$anoDocumento=$anoCorrente;




//echo(" codprod= $codprodutor nivel=$nivel  operador= $nomeOperador idlabo=$idLabo   anoDocumento= $anoDocumento<br>");


//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 

$objetocalculo = new calculos(); //calcula todos valores finais
$user = new tabeladeful();
	$user->extras_select =" where   cod_lab=".$idLabo ;
    $user->selecionaTudo($user);
	while ($res = $user->retornaDados()):
        $finalidade=$res->finalidade;
        $formato_germinacao=$res->formato_germinacao;//4x100  8x50 
        $formato_informe=$res->laudo_informe;//4x100  8x50 
        $formato_certificado=$res->laudo_certificado;//4x100  8x50 
        $formato_tzo=$res->laudo_tetrazolio;//4x100  8x50 
        $formato_plural=$res->laudo_plural;//4x100  8x50 
        $ano_acessado=$res->ano_acessado;//ano que pode trocar para ano anteriro
        $finalidade=$res->finalidade;//boletim x previa etc
        $outras_cultivares=$res->outras_cultivares;//boletim x previa etc
        $formato_documento_habitual=$res->formato_documento_habitual;//opcao que sempre vai aaprecer selecionada se nao for selecionada outra
        $vias_documento_habitual=$res->vias_documento_habitual;//opcao que sempre vai aaprecer selecionada se nao for selecionada outra
		$id=$res->id;
    endwhile;
   



if($sessao->getVar('amostraLong')==NULL)
{
	//echo "nulo<br>";
	//vai capturar a id da amostra caso nao tenha nada na sessao(logo depois de logar))
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_ano='".$anoAmostra."' && fic_labo='".$idLabo."' order by fic_amostra desc LIMIT 1";  //fucnciona perfeito
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('ultima',$ultima);
}
else
{
	//echo "nao nulo<br>";
    $amostraLong=$sessao->getVar('amostraLong');
	$idCultivar=$sessao->getVar('idCultivar');
	$idProdutor=$sessao->getVar('idProdutor');
}





switch ($tela):
  	    case 'entrada':
        echo '<h2>Lista de documentos-IMPRESSÃO</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable'); 
		if(isset($_POST['trocaAno'])):
     	    $anoDocumento=$_POST['anoDocumento'];	
        	$sessao->setVar('controle4',$anoDocumento);
			$dafo=$sessao->getVar('controle4');
			echo("Ok. Definiu ano documento:  $dafo <br>");
		endif;
		
		
		       
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Atenção:",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "300px",
                "sScrollX": "300px",
				"bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Sigla</th><th>Extenso</th>
                </tr>
            </thead>
            <tbody>
            <?php 
            //monta os elementos que vao aparecer na tabela
            if($nivel=='PRODUTOR'):
			    $matriz[1][1]="Boletim";       $matriz[1][2]="Boletim";        $matriz[1][3]="Boletim de análise de sementes - BAS/BASO";
				$matriz[2][1]="Informe";       $matriz[2][2]="Informe";        $matriz[2][3]="Informativo de resultado";
				$matriz[3][1]="Eacel";         $matriz[3][2]="Eacel";          $matriz[3][3]="Laudo de envelhecimento acelerado";
				$matriz[4][1]="Tetrazolio";    $matriz[4][2]="TZO";            $matriz[4][3]="Laudo de Tetrazolio";
				$matriz[5][1]="Plural";        $matriz[5][2]="Plural";         $matriz[5][3]="Laudo PLURAL";
				$matriz[6][1]="Termo";         $matriz[6][2]="Termo";          $matriz[6][3]="Termo de conformidade";
				$matriz[7][1]="Termo_Aditivo"; $matriz[7][2]="Termo_Aditivo";  $matriz[7][3]="Termo_Aditivo";
			else://se for laboratorio
			    $matriz[1][1]="Boletim";       $matriz[1][2]="Boletim";        $matriz[1][3]="Boletim de análise de sementes - BAS/BASO";
				$matriz[2][1]="Informe";       $matriz[2][2]="Informe";        $matriz[2][3]="Informativo de resultado";
				$matriz[3][1]="Eacel";         $matriz[3][2]="Eacel";          $matriz[3][3]="Laudo de envelhecimento acelerado";
				$matriz[4][1]="Tetrazolio";    $matriz[4][2]="TZO";            $matriz[4][3]="Laudo de Tetrazolio";
				$matriz[5][1]="Plural";        $matriz[5][2]="Plural";         $matriz[5][3]="Laudo PLURAL";
				$matriz[6][1]="Certificado";   $matriz[6][2]="Certificado";    $matriz[6][3]="Certificado de análise de sementes";
			    $matriz[1][1]="Boletim";       $matriz[1][2]="Boletim";        $matriz[1][3]="Boletim de análise de sementes - BAS/BASO";
				$matriz[7][1]="TZ_Controle";   $matriz[7][2]="TZC";            $matriz[7][3]="Tetrazólio Controle";
				$matriz[8][1]="TZ_Pre_Cond.";  $matriz[8][2]="TZP";            $matriz[8][3]="Tetrazólio Pré Condicionamento";				
			    $matriz[9][1]="Fitopatologia" ; $matriz[9][2]="Fitopatologia";   $matriz[9][3]="Laudo Fitopatologia";
			    $matriz[10][1]="Prot_Especial" ; $matriz[10][2]="Prot_Especial"; $matriz[9][3]="Prptocolo especial";
				//if($cliente=='BAREN'  || $cliente=='LIMAGRAIN'):
				    $matriz[8][1]="Termo";         $matriz[8][2]="Termo";          $matriz[8][3]="Termo de conformidade";
				    $matriz[7][1]="Termo_Aditivo"; $matriz[7][2]="Termo_Aditivo";  $matriz[7][3]="Termo_Aditivo";
				//endif;
			endif;

				
				
				
                $limite=sizeof($matriz);
                for($i=1;$i<=$limite;$i++):		
  				    $ternario=$matriz[$i][2];
                    echo '<tr>';
                    printf('<td>%s',$matriz[$i][1]);
                    printf('
					<a href="?m=gestao2011&t=trabalhar&s1=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a> 
					</td>',$matriz[$i][2]);
                    printf('<td>%s</td>',$ternario);
                    echo '</tr>';
                endfor;  
                ?>
            </tbody>
        </table>
        <p>
        Se voce quer imprimir documentos de outro ano, que não seja o corrente,
		deve indicar este ano aqui neste local.
		</p>
        <p>
        Ano do documento:
		<form class="userform" method="POST" action="">
		<input type="text" size="3" maxlength="4" name="anoDocumento" value="<?php echo $anoDocumento;?>" />
		<input type="submit"  name="trocaAno" value="Confirma troca de ano" />


		</form>
		</p>
        <?php        
    break;




 
    case 'trabalhar':
   		$sessao = new sessao();
		//ENTRA DE QUAKQUER MANEIRA
		//echo("223 nivel=$nivel<br>");
	    if(isset($_GET['tecnico'])):
			$tecnico=$_GET['tecnico'];
	        //echo("XXXXXXXXXXXXXXXXXXXtecnico=$tecnico<br>");
			list($nome,$funcao,$ativado,$idTec) = explode(";", $tecnico);
            //echo("228  nome=  $nome  funcao= $funcao    ativ=$ativado id= $id<br>"); 			
            /////ENXERTO//////////////////////////
			//PRIMIRO PASSO COLOCA ATIVO = NAO EM TODOS OS QUE SAO DA MESMA FUNCAO
            $sql="update resptecnico set ret_ativo='NAO' where ret_funcao='".$funcao."'";
			$userT = new generica();
			$userT->campos_valores = $sql;				 
			$userT->inserirEspecial($userT);
  		
		    //SEGUNDO PASSO  COLOCA  ATIVO = SIM  NAQUELE QUE FOI SELECIONADO 
            $userT = new tecnico(array(
                'ret_ativo'=>'SIM',
            ));
            $userT->valorpk = $idTec;
            $userT->extras_select = "WHERE ret_id=".$idTec;
            $resT = $user->retornaDados();
            $userT->atualizar($userT);
        endif;//FIM DO GET PARA TROCAR O RT		
		

	
if($cliente=='QUALITESTE' || $cliente=='SEEDS'  || $cliente=='VIGORx' ):
		$generica=new tabelagenerica();
		$generica->tabela=" log_documentosponte ";
		$generica->campos_valores = array(
				"documentos" => NULL,
			);
		$generica->extras_select =" where id>0";
		$generica->selecionaCampos($generica);
		$contaDeletados=0;
		while ($resgenerica = $generica->retornaDados()):
			$idDocGenerico =$resgenerica->documentos;
			$contaDeletados++;
		endwhile;
		if($contaDeletados>0)$registrosDeletados=$contaDeletados ." registros foram deletados";
endif;	
		
		
		//relatorio de critica//////////////////////////////////
		if(isset($_POST['bt_critica'])):
		    $formato=$_POST['formato'];
		    $selecionadoBruto=$_POST['numeroSelecionado'];
            $selecionado=$_POST['numeroSelecionado'];	
			list($selecionado) = explode("(", $selecionado);//pega so o  numero
			$tipoDoc=$sessao->getVar('controle3');
		    //echo("ffffff numeroSelecionado=$numeroSelecionado<br>");
			//captura docid //////////////////////
			$generica->tabela="documentos";
			$generica->campos_valores = array(
				"doc_id" => NULL,
			);
			$generica->extras_select =" where  doc_ano='".$anoDocumento."'  && doc_labo=".$idLabo." && doc_tipo='".$tipoDoc."' && doc_numero='".$selecionado."'";
			$generica->selecionaCampos($generica);
			while ($resgenerica = $generica->retornaDados()):
				$idDocGenerico =$resgenerica->doc_id;
			endwhile;
			//echo ("idDocGenerico=$idDocGenerico $generica->extras_select<br");
			//$sessao->setVar('transfere',$idDocGenerico);			
			$sessao->setVar('controle2',$formato);			
			$sessao->setVar('controle',$selecionadoBruto);//pega o que foi selecionado da lista	
	
			/////////////////////////////////
		    echo '<iframe src="imprimeCritica.php" style="border:5px dotted red" width="150%" height="300"></iframe>';	 //funciona  
        endif;//fim relatorio de critica//////////////////////////////////
		
		//vai mostrar os documentos deletados
		if(isset($_POST['bt_deletados'])):
		    echo '<iframe src="imprimeDeletados.php" style="border:5px dotted red" width="150%" height="300"></iframe>';	 //funciona  
        endif;//final dos deletados  
		
		//botao duplicados
		if(isset($_POST['bt_duplicados'])):
		  echo("esta em duplicados<br>");
          $generica=new tabelagenerica();
		  $generica->tabela="documentosponte,documentos";
	      //$generica->extras_select =" WHERE dpo_documento_autonumerador=doc_id and doc_tipo='Boletim' and doc_ano='2020' and dpo_amostra_vinculada>0  order by dpo_documento_autonumerador, dpo_amostra_vinculada";
		  $generica->extras_select =" WHERE dpo_documento_autonumerador=doc_id  and doc_ano='2020' and dpo_amostra_vinculada>0  order by dpo_documento_autonumerador, dpo_amostra_vinculada";  
			$generica->campos_valores = array(
				"dpo_documento_autonumerador" => NULL,
				"dpo_amostra_vinculada" => NULL,
			);
			
			$controladorSeguranca=0;
			$generica->selecionaCampos($generica);
            $amostraAnterior=0;
            $documentoAnterior=0;
			while ($resgenerica = $generica->retornaDados()):
			   $amostraAtual=$resgenerica->dpo_amostra_vinculada;
			   $documentoAtual=$resgenerica->dpo_documento_autonumerador;
			   if($documentoAnterior==$documentoAtual && $amostraAnterior==$amostraAtual):
			      $controladorSeguranca++;
                  echo("achou documentoAtual= $documentoAtual  amostraAtual=$amostraAtual<br>");			   
                  //aqui ja vai fazer a delecao com a clausula  

				  $sql=" delete from documentosponte where dpo_amostra_vinculada=". $amostraAtual ." and  dpo_documento_autonumerador=". $documentoAtual . " limit 1";
			      echo("sql de gravacao=$sql<br>");
			      $userDoc = new generica();
			      $userDoc->campos_valores = $sql;				 
			      $userDoc->inserirEspecial($userDoc);
			   endif;
               $documentoAnterior=$documentoAtual;
               $amostraAnterior=$amostraAtual;
			endwhile;
		 
		endif;
		////////////
		
		/////////////
		
		//echo("nnnnnnnnivel = $nivel codProdutor=    $codprodutor<br>");
		if(isset($_POST['arquivoExcel'])):
	        //echo '<iframe src="criarexcel2015.php" style="border:0" width="150%" height="300"></iframe>';	 //funciona  
		    //$formato=$_POST['formato'];
 			echo '<iframe src="criarexcel2015_2016.php" style="border:0" width="150%" height="350"></iframe>';//funciona			
		endif;
		
		
		//seleciona tipo do documento
		if(isset($_GET['s1'])):
			$tipoDoc=$_GET['s1'];
			//echo("342xxxxxxxxxxxxxxxx  selecionou $tipoDoc<br>");
		    $sessao->setVar('controle3',$tipoDoc);
		endif;
		$tipoDoc=$sessao->getVar('controle3');
		$rabicho='';
		$anoDocumento=$sessao->getVar('controle4');
		$anoDocumento=$anoCorrente;
		if($anoDocumento!=date('Y'))$rabicho=" , do ano: ".$anoDocumento;	
        echo("<h2>Imprimir documento: $tipoDoc  $rabicho </h2>");
		//$sessao->setVar('controle3',$tipoDoc);
		
   //manda para excel 
   if(isset($_POST['bt_exportarExcel'])):
      echo("manda para excel<br>");
	  echo '<iframe src="exportarExcel2020.php?opcaoManual='.$idDocGenerico. '" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
  
   endif;//manda para excel   


   
   
   
 
   if(isset($_POST['bt_imprimir']) || isset($_POST['bt_acharImprimir'])):
	if(isset($_POST['bt_imprimir'])):
		$numeroSelecionado=$_POST['numeroSelecionado'];
		$posicao=strpos($numeroSelecionado,'(');//verifica onde esta o sinal (
	    $posicao2=strpos($numeroSelecionado,')');//verifica onde esta o sinal )
		$selecionadoSolitario=substr($numeroSelecionado,0,$posicao);
		$documentoSolitario="SIM";
		$quantidadeAmostras=substr($numeroSelecionado,$posicao+1,$posicao2-1);
        //echo("445 numeroSelecionado=$numeroSelecionado selecionado=$selecionado posicao=$posicao posicao2=$posicao2  selecionadoSolitario=$selecionadoSolitario quantidadeAmostras=$quantidadeAmostras<br>"); 
    endif;
	
	
	if(isset($_POST['bt_acharImprimir'])):
		$documentoSolitario="NAO";
		$primeiroNumero=$_POST['primeiroNumeroDigitado'];
		$segundoNumero=$_POST['segundoNumeroDigitado'];
		//echo("452  primeiroNumero=$primeiroNumero  segundoNumero=$segundoNumero<br>"); 
    endif;
	
		
   //entra num setor que pequisa numero de vias e opcoes mesclagem etc
        $quantidadeVias=$_POST['quantidadeVias'];
        $quantidadeViasMescladas=$_POST['quantidadeViasMescladas'];
		if($quantidadeVias<1)$quantidadeVias=1;
		if($quantidadeViasMescladas<1)$quantidadeViasMescladas=1;
		$checado1="";
	    if(isset($_POST['cb_digital'])):
		   $checado1="checked";
		   if($quantidadeViasMescladas>1):
		     echo("Selecionou opção para imprimir com certificação digital, porém não funciona para VIAS MESCLADAS, porque só será salvo um pdf na nuvem.) <br>");
		     $sessao->setVar('digital',"NAO");
		   else:
		     echo("Ok.Selecionou opção para imprimir com certificação digital. <br>");
		     //$sessao->setVar('digital',"SIM");
		   endif;
		endif;//teste se assinalou digital

	    if(isset($_POST['cb_ocultar_pureza'])):
		   $checado1="checked";
		   echo("Ok.Selecionou opção para imprimir sem dados de pureza. <br>");
		   $sessao->setVar('ocultarPureza',"SIM");
        else: 
		   $sessao->setVar('ocultarPureza',"NAO");
		endif;//teste se assinalou digital
	    $sessao->setVar('controle2',$quantidadeVias);//joga na sessao
	    $sessao->setVar('controle7',$quantidadeViasMescladas);//joga na sessao
        
        if(isset($_POST['bt_imprimir'])):
		    //aqui vai capturar o numero do doucmento mas o numero é o que vem eantes do parentesis exemplo 34(4)   documento 34 com 4 amostras
			//captura os dados do certificado de outro lab
			$numeroCertificadoOutroLAB=$_POST['numeroCertificadoOutroLAB'];
			$dataCertificadoOutroLAB=$_POST['dataCertificadoOutroLAB'];
			//se a pessoa digitou um numero ele vai criar uma sessao e aramazenar numero e data concatenados
			$sessao->setVar('controle9',"");	
	        if($numeroCertificadoOutroLAB!="") :
              $concatenadoCert=$numeroCertificadoOutroLAB."]".$dataCertificadoOutroLAB."]";		
              $sessao->setVar('controle9',$concatenadoCert);			
              //$dataCertificadoOutroLAB=$sessao->getVar('controle9');
			endif;
		endif;//perguntou se é bt imprimir

  
		
		// este isse bt achar imprimir esta dentro dum outro mais externo que acessa o bt imprimir tambem
        if(isset($_POST['bt_acharImprimir'])):
		        $quantos=10;
                $limiteMaximo=$primeiroNumero+$quantos;
				if($segundoNumero>$limiteMaximo):
	               $segundoNumero=$limiteMaximo;
				  // printMSG('Nao pode abir mais de '.$limiteMaximo.' documentos cada vez..','alerta');
				   echo("438 Nao pode abir mais de '.$quantos.' documentos cada vez.");
				endif;
		endif;//final do isset achar/impirmir

//testa para ver se o primeiro documento selecionado é um numero inteiro positovo

//echo("574 primeiroNumero= $primeiroNumero   numeroDocSelecionadoLista=$numeroDocSelecionadoLista<br>");
	////////////////////////////////////////////////
	    if(isset($_POST['bt_acharImprimir'])):	
			//echo("621 primeiroNumero=$primeiroNumero <br>");
			$generica=new tabelagenerica();
			$generica->tabela="documentos";
			$generica->campos_valores = array(
				"doc_id" => NULL,
			);
			$generica->extras_select =" where  doc_ano='".$anoDocumento."'  && doc_labo=".$idLabo." && doc_tipo='".$tipoDoc."' && doc_numero='".$selecionado."'";
			//echo("605 generica->extras_select= $generica->extras_select <br>");
			echo("Versão revisada em 06.10.2022, permite imprimir até 10 boletins(H) simultâneos.Clique ACHAR/IMPRIMIR <br>");
			$generica->selecionaCampos($generica);
			$contaId=0;
			while ($resgenerica = $generica->retornaDados()):
				$idDocGenerico =$resgenerica->doc_id;
				$contaId++;
				$matriziddoque[$contaId]=$idDocGenerico;
			endwhile;
       endif;
	   $contaIde=$matriziddoque[1] ;		
//echo("618 primeiroNumero=$primeiroNumero  matriziddoque[1]= $contaIde <br>");

//SE EU PEGO DO DO BOTAO IMPRIMIR ENTAO AMOSTRA SOLITARIA =SIM SE FOR DO ACHAR IMPRIMIR ENTAO AMOSTA SOLITARIA=NAO
if($documentoSolitario=="SIM"):
  $primeiroNumero=$selecionadoSolitario;
  $segundoNumero=$selecionadoSolitario;
endif;

//echo("628 amostraSolitaria=$amostraSolitaria  selecionado=$selecionado primeiroNumero=$primeiroNumero   segundoNumero=$segundoNumero<br>");


if($primeiroNumero>0):
   $indiceIDDOC=0;
   $indice_ID=0;


   for($selecionado=$primeiroNumero;$selecionado<=$segundoNumero;$selecionado++):
        $indice_ID++;    
        //echo("484 Documento selecionado: $selecionado  primeiroNumero=$primeiroNumero  segundoNumero=$segundoNumero<br>");
        $anoDocumento=$sessao->getVar('controle4');
		$anoDocumento=$anoCorrente;
	    //echo("xxxxxxxxxxxxestá no impirmir  $anoDocumento <br>");
		//ENTRA DE QUAKQUER MANEIRA
        //vai achar a id do documento pesquisando lab,ano,tipodocumento e numero
		$generica=new tabelagenerica();
        //se é produtor logado ele precisa fazer uma busca mais completa pois pode coincidir os numeros de documentos
		
		//echo("493 nivel=$nivel tipoDoc=$tipoDoc  <br>");
        if($nivel=='PRODUTOR'):
          if($tipoDoc=='Termo' || $tipoDoc=='Boletim'  || $tipoDoc=='Informe' || $tipoDoc=='Termo_Aditivo'):
          //if($tipoDoc=='Boletim'):
		    $generica->tabela="documentos,documentosponte,ficha";
	        $generica->extras_select =" where  dpo_documento_autonumerador=doc_id and dpo_amostra_vinculada=fic_id and fic_produtor=".$idProdutorLogado." and doc_ano='".$anoDocumento."'  && doc_labo=".$idLabo." && doc_tipo='".$tipoDoc."'  && doc_numero='".$selecionado."'";
			$generica->campos_valores = array(
				"doc_id" => NULL,
			);
			$generica->selecionaCampos($generica);
			while ($resgenerica = $generica->retornaDados()):
				$idDocGenerico =$resgenerica->doc_id;
			endwhile;
            $matrizIDDOC[$indiceIDDOC]=$idDocGenerico;
			//echo("504  iiiiiiiiiiiiiiidDocGenerico= $idDocGenerico  eeeeeeeeeeeeeeeeeeeeeextras_select=$generica->extras_select<br>");
          endif;//testa se é boletim ou termo
		else://se nao é produtor
			$generica->tabela="documentos";
			$generica->campos_valores = array(
				"doc_id" => NULL,
			);
			$generica->extras_select =" where  doc_ano='".$anoDocumento."'  && doc_labo=".$idLabo." && doc_tipo='".$tipoDoc."' && doc_numero='".$selecionado."'";
			
			
			$generica->selecionaCampos($generica);
			$conta=0;
			while ($resgenerica = $generica->retornaDados()):
				$idDocGenerico =$resgenerica->doc_id;
				$matriziddoque[$indice_ID]=$idDocGenerico;
			endwhile;
            //$cavalo=$matriziddoque[1];
	//echo("658 cavalo=$cavalo   indice_ID=$indice_ID  primeiroNumero =$primeiroNumero generica->extras_select=$generica->extras_select <br>");
	//echo("659 primeiroNumero =$primeiroNumero generica->extras_select=$generica->extras_select <br>");
		endif;//perguntou se é produtor
	
		
		
        //echo("520 iiiikkkkdDocGenerico= $idDocGenerico  eeeeeeeeeeeeeeeeeeeeeextras_select=$generica->extras_select <br>");
		$matrizIDDOC[$indiceIDDOC]=$idDocGenerico;
		//aqui salva a sessao para tudo.....  e na 587 so para boletim mas nao da certo
		//$sessao->setVar('transfere',$idDocGenerico);
		if($quantidadeVias>1):
		    $sessao->setVar('controle1',0);
		else:	
		    $viasAlfa=$_POST['vias'];
			$sessao->setVar('controle1',$viasAlfa);
        endif;//numero de vias
		
		 //aqui verifica se é para impimrir em branco
		 if(isset($_POST['branco'])):
            $sessao->setVar('controle1', 'branco');		
		 else:	 
		    $sessao->setVar('controle1', $viasAlfa);		
		 endif;//branco
	
		 //aqui verifica se é para impimrir em branco
		 if(isset($_POST['assinaturaDesativada'])):
            $sessao->setVar('controle11', 'ASSINATURADESATIVADA');		
		 else:	 
		    $sessao->setVar('controle11', '');//SO PARA LIMPAR		
		 endif;//assinatura desativada

		//$docOto=$sessao->getVar('transfere');
        //echo("550  $tipoDoc   selecionado= $selecionado  sessao= $docOto<br>");
        //$matriziddoque[1]=12933;  
        //$matriziddoque[2]=12935; 

		$sessao->setVar('transfere',$idDocGenerico); 
        for($iddoque=1;$iddoque<=1;$iddoque++):
		if($tipoDoc=='Boletim'):
		    $formato=$_POST['formato'];
		    //$idDocGenerico=$sessao->getVar('transfere');
			//echo("559eeeeeeeeeeeeeeeeeeé boletim e é formato $formato  idDocGenerico=$idDocGenerico<br>");
			for($vias=1;$vias<=$quantidadeVias;$vias++):  //for para imprimir mais de 1 via
			   //se a pessoa relamente pediu mais de uma via ele vai criar o numero de via				   //aqui so para imprimir ana tela  primeira segunda e terceira via
				if($quantidadeVias>1):
					 $viasAlfa=$vias." ª via";
					 echo($viasAlfa."<br>");
                endif;
				if($idDocGenerico>0):
				     if($formato=='HorizontalBranco'):
				       echo '<iframe src="imprimeboletimBranco.php?opcaoManual='.$idDocGenerico. '" style="border:0" width="150%" height="550"></iframe>';	 //funciona     
                     elseif($formato=='Horizontal'):
					    //echo '<iframe src="imprimeboletim.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
						//manual2010.php?opcaoManual=bt_ajuda_tela_numero"
					    //echo '<iframe src="imprimeboletim.php?opcaoManual=332" style="border:0" width="150%" height="350"></iframe>';	 //funciona                         
						//$idDoc=$sessao->getVar('transfere');
                        //$sessao->setVar('transfere',$idDocGenerico);						
						if(isset($_POST['cb_BolH2018'])):
						  echo '<iframe src="imprimeboletimH2018.php?opcaoManual='.$idDocGenerico. '" style="border:0" width="150%" height="550"></iframe>';	 //funciona 
						  
						 //$sessao->setVar('transfere',0);  
						else:
						  //$idDocGenerico=$matrizIDDOC[$indiceIDDOC];
		                  //$sessao->setVar('transfere',$idDocGenerico);
				          //echo("583  salvou na sessao transfere idDocGenerico=$idDocGenerico<br>");
						  $idDocGenerico=$matriziddoque[$indice_ID];
						  //$matriziddoque[1]=12933;  
						  echo '<iframe src="imprimeboletim.php?opcaoManual='.$idDocGenerico. '" style="border:0" width="150%" height="550"></iframe>';	 //funciona  
                       endif;						
						
		
					 else://se for formato vertical
				        //echo("596 quantidadeAmostras= $quantidadeAmostras<br>");
	                    //if($quantidadeAmostras==1):
					    //$idDocGenerico=$matriziddoque[$indice_ID]; 
				        //echo '<iframe src="imprimebolev1.php ?opcaoManual='.$idDocGenerico. '" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					    $idDocGenerico=$matriziddoque[$indice_ID]; 
				        //echo '<iframe src="imprimebolev1.php  " style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					  if($quantidadeAmostras==1):
						 if($formato=='Vertical_MIX'):
							 echo '<iframe src="imprimebolev1MIX.php?opcaoManual='.$idDocGenerico. '" style="border:0" width="150%" height="550"></iframe>';	 //funciona  	
                         else:
							 echo '<iframe src="imprimebolev1.php?opcaoManual='.$idDocGenerico. '" style="border:0" width="150%" height="550"></iframe>';	 //funciona  
						 endif;	 		
					  else:
			            printMSG('Epaaaaaxx!  O boletim VERTICAL não pode ter mais de 1 amostra.','alerta');
					  endif;//fecha o if do epa




					 endif;	//fecha o  if do formato
		        endif;//fecha o if do idgenerico 
            endfor;//para imprimir mais de uma via 
        endif;//verifica se é boletim
		endfor;

        if($tipoDoc=='Boletimestoque'):
		    $formato=$_POST['formato'];
		    $vias=$_POST['vias'];
			$sessao->setVar('controle1',$vias);
		    //echo("é boletim e é formato $formato<br>");
			for($v=1;$v<=$quantidadeVias;$v++):  //for para imprimir mais de 1 via
			    //se a pessoa relamente pediu mais de uma via ele vai recira o numero de via 
			    if($quantidadeVias>1):
				   $vias=$v." ª via";
			       $sessao->setVar('controle1',$vias);//joga na sessao
				endif;
				if($idDocGenerico>0):

				     if($formato=='Horizontal'):
					   $idDocGenerico=$matrizIDDOC[$indiceIDDOC];
		               //$sessao->setVar('transfere',$idDocGenerico);
				       //echo("622 salvou na sessao transfere idDocGenerico=$idDocGenerico<br>");
					    echo '<iframe src="imprimeboletimkkk.php" style="border:0" width="150%" height="550"></iframe>';	 //funciona  
					 else:
					    echo '<iframe src="imprimebolev1.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 endif;	
		        endif; 
            endfor;//para imprimir mais de uma via 
        endif;//verifica se é boletim estoque?
        
        if($tipoDoc=='Fitopatologia'):
				if($idDocGenerico>0)://deve  comparar com 0
				 echo '<iframe src="imprimeFitopatologia.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
		        endif; 
        endif;//verifica o tipo documento se é informe




		
        if($tipoDoc=='Informe'):
				$formato=$_POST['formato'];
				$vias=$_POST['vias'];
			    $sessao->setVar('controle1',$vias);
				//aqui verifica se é para impimrir em branco
				 if(isset($_POST['branco'])):
		            $sessao->setVar('controle1', 'branco');		
				 endif;
				
				
				
				

				if($idDocGenerico>0)://deve  comparar com 0
				  for($vias=1;$vias<=$quantidadeVias;$vias++):  //for para imprimir mais de 1 via
	      			 $valorDeful=$objetocalculo->capturaDeful($idLabo,'laudo_tetrazolio');
					 $sessao->setVar('controle',$valorDeful);
					 if($formato=='Forrageiras'):
				         echo '<iframe src="imprimePluralForrageiras.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona 
					 
					 elseif($formato=='ImitaBoletim'):
				         echo '<iframe src="imprimePluralImita.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='Forr_Dimi'):
				         echo '<iframe src="imprimePluralForr_Dimi.php?opcaoManual='.$idDocGenerico. '"  style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='Forrag(1 amostra)'):
					     echo '<iframe src="imprimePluralForrageiras(1amostra).php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='DIMICRON'):
					     //echo '<iframe src="imprimePluralDimicron.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					     echo '<iframe src="imprimeinformeDimicron.php?opcaoManual='.$idDocGenerico. '"  style="border:0" width="150%" height="350"></iframe>';	 //funciona  
						 //echo("idDocGenerico=$idDocGenerico<br>");
					 elseif($formato=='TRISOLO'):
					     //echo '<iframe src="imprimePluralDimicron.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					     echo '<iframe src="imprimeinformeTrisolo.php?opcaoManual='.$idDocGenerico. '"  style="border:0" width="150%" height="350"></iframe>';	 //funciona  
						 //echo("idDocGenerico=$idDocGenerico<br>");
					 elseif($formato=='IRGA'):
					     echo '<iframe src="imprimeInformeIRGA.php?opcaoManual='.$idDocGenerico. '"  style="border:0" width="150%" height="350"></iframe>';	 //funciona  

					 elseif($formato=='TestesOto'):
						 //$sessao->setVar('controle10',$quantidadeVias);
						 echo '<iframe src="imprimeinformeDimicronX.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='EspecialADV'):
					     echo '<iframe src="imprimeinformeADV.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='EspecialLASSUL'):
					     echo '<iframe src="imprimeinformeLASSUL.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='EspecialUFLA'):
					     echo '<iframe src="imprimeinformeUFLA.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='TRI-2025'):
					     //echo '<iframe src="imprimePluralDimicron.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					     echo '<iframe src="imprimeTRI2025.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='CRUZ ALTA'):
					     echo '<iframe src="imprimePluralCruzAlta.php?opcaoManual='.$idDocGenerico. '"  style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='Conceito'):
					     echo '<iframe src="imprimePluralConceito.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  

					 elseif($formato=='UBERLANDIA'):
					     echo '<iframe src="imprimePluralUberlandia.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='formato2015'):
					     echo '<iframe src="imprimeinforme2015.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='formato2015Lima'):
					     echo '<iframe src="imprimeinforme2015Lima.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='GENETICA'):
					     echo '<iframe src="imprimeinformeGENETICA.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='INFORME SEEDS'):
					     echo '<iframe src="imprimeinformeSEEDS.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='INFORME CELEIRO'):
					     echo '<iframe src="imprimeinformeCeleiro.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='VIGOR1'):
					     echo '<iframe src="imprimeinformeVIGOR1.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='VIGOR2'):
					     echo '<iframe src="imprimeinformeVIGOR2.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='formato2015'):
					     echo '<iframe src="imprimeinforme2015.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='informeMIX'):
					     echo '<iframe src="imprimeInformeMIX.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='InformeIngles'):
					     echo '<iframe src="imprimeinforme2015Ingles.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='MOD080716'):
					     echo '<iframe src="imprimeinformeMOD080716.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 elseif($formato=='JATAI'):
					     echo '<iframe src="imprimeinformejatai.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
                     elseif($formato=='SEMPRE'):
					     echo '<iframe src="imprimeinformeSempre.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona 
                     elseif($formato=='GERMINAR'):
					     echo '<iframe src="imprimeInformeGerminar.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona 
					///////////	 
					elseif($formato=='Conv(1 colu.)' && substr($cliente,0,5)=='IAGRO'):
				         echo '<iframe src="imprimeInformeIagro.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona 
						 
						 
						 
						 
					elseif($formato=='Conv(1 colu.)'):
				         echo '<iframe src="imprimeInformeFidene.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona 
					////////////	 
						  
					 elseif($formato=='EM_TESTES'):
					     echo '<iframe src="imprimeinformeEM_TESTES.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 else:
					     echo '<iframe src="imprimeinforme.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 endif; 
				   endfor;//IMPRIME VARIAS VIAS 	 
		        endif;//VERIFICA SE DOC GENERICO>0 
        endif;//verifica o tipo documento 

        if($tipoDoc=='Eacel'):
			if($idDocGenerico>0):
      			 $valorDeful=$objetocalculo->capturaDeful($idLabo,'laudo_envelhecimento');
				 $sessao->setVar('controle',$valorDeful);
			     echo '<iframe src="imprimeeacel.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
	        endif; 
        endif;//verifica se é eacel

        if($tipoDoc=='TZO'):
			$formato=$_POST['formato'];
            //echo("kkkkkkkkesta no imprimetzo $formato  $idDocGenerico<br>");
			if($idDocGenerico>0):
      			 $valorDeful=$objetocalculo->capturaDeful($idLabo,'laudo_tetrazolio');
				 $sessao->setVar('controle',$formato);
				 if($formato=='basico'):
			        echo '<iframe src="imprimeTZO.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 endif;
				 if($formato=='seeds'):
			        echo '<iframe src="imprimeTZOseeds.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 endif;


                 echo("gestao2011linha 766yyyyyyyesta no imprimetzo formato= $formato   <br>");
				 if($formato=='completo'):
			        echo '<iframe src="imprimeTZC.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 endif;


				 if($formato=='syngenta'):
				    $sessao->setVar('controle','syngenta');
			        echo '<iframe src="imprimeTZO_SYN.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				endif;
				 if($formato=='tz15'):
				    $sessao->setVar('controle','tz15');
			        echo '<iframe src="imprimeTZO_TZ15.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				endif;
				 if($formato=='tz45'):
				    $sessao->setVar('controle','tz45');
			        echo '<iframe src="imprimeTZO_TZ45.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				endif;




	        endif; 
        endif;//verifica se é tzo

        if($tipoDoc=='Plural'):
			$formato=$_POST['formato'];
			if($idDocGenerico>0):
      			 $valorDeful=$objetocalculo->capturaDeful($idLabo,'laudo_tetrazolio');
				 $sessao->setVar('controle',$valorDeful);
				 if($formato=='Forrageiras'):
			         echo '<iframe src="imprimePluralForrageiras.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				     elseif($formato=='CRUZ ALTA'):
				     //echo '<iframe src="imprimePluralCruzAlta.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 echo '<iframe src="imprimePluralCruzAlta.php?opcaoManual='.$idDocGenerico. '"  style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 elseif($formato=='UBERLANDIA'):
				     echo '<iframe src="imprimePluralUberlandia.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 elseif($formato=='SEMPRE'):
				     echo '<iframe src="imprimePluralSEMPRE.php?opcaoManual='.$idDocGenerico. '" style="border:0" width="150%" height="350"></iframe>';	 //funciona  

				 elseif($formato=='RiceTec'):
				     echo '<iframe src="imprimePluralRiceTec.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona 
				 else:
				     echo '<iframe src="imprimePlural.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 endif; 	 
	        endif; 
        endif;//verifica se é plural




        if($tipoDoc=='Termo'):
			$formato=$_POST['formato'];

			echo("827 cliente= $cliente   idDocGenerico= $idDocGenerico    quantidadeVias=$quantidadeVias<br>");
           		
			if($idDocGenerico>0):
			  for($vias=1;$vias<=$quantidadeVias;$vias++):  //for para imprimir mais de 1 via
      			//aqui so para imprimir ana tela  primeira segunda e terceira via
				if($quantidadeVias>1):
					 $viasAlfa=$vias." ª via";
					 echo($viasAlfa."<br>");
                endif;
				 $valorDeful=$objetocalculo->capturaDeful($idLabo,'laudo_tetrazolio');
				 $sessao->setVar('controle',$valorDeful);
			     //$formato="Quali-Mana";//sempre formato quali mana para o cliente vigor
				 //////////////
				 if($formato=='Brasil'):
			         //echo '<iframe src="ImprimeTermo.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona
					 echo '<iframe src="ImprimeTermo.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 elseif($formato=='Qualiteste'):
			         echo '<iframe src="ImprimeTermoQualiteste.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 elseif($formato=='TRISOLO-H'):
			         echo '<iframe src="ImprimeTermoTRISOLO-H.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 elseif($formato=='TRISOLO-V'):
			         echo '<iframe src="ImprimeTermoTRISOLO-V.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 elseif($formato=='Quali-Mana'):
			         echo '<iframe src="ImprimeTermoQuali-Mana.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona
				 elseif($formato=='Vigor2023'):
				     echo '<iframe src="ImprimeTermoVigor2023.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona
				 elseif($formato=='Vigor2023A'):
				     echo '<iframe src="ImprimeTermoVigor2023A.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona
				 elseif($formato=='Seeds2023A'):
				     echo '<iframe src="ImprimeTermoSeeds2023A.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona
				 elseif($formato=='Brasil2'):
			         //echo '<iframe src="ImprimeTermo.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona
					 echo '<iframe src="ImprimeTermoBrasil2.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 elseif($formato=='termoLacador'):
				    $idDocGenerico=$matriziddoque[$indice_ID];
				    echo '<iframe src="ImprimeTermoLacador.php?opcaoManual='.$idDocGenerico. '" style="border:0" width="150%" height="350"></iframe>';	 //funciona 
				 
				     //echo '<iframe src="ImprimeTermoLacador.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 elseif($formato=='termoBranco'):
				     echo '<iframe src="ImprimeTermoBranco.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				
				 elseif($formato=='Vertical'):
				     echo '<iframe src="ImprimeTermoVertical2023.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 elseif($formato=='Vertical2016'):
				     echo '<iframe src="ImprimeTermoVertical.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 else:
				     if($cliente=='LIMAGRAIN'):
    					 echo '<iframe src="ImprimeTermoLIMAGRAIN.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
	                 else:
					    //echo '<iframe src="ImprimeTermo.php" style="border:0" width="150%" height="350"></iframe>';//funciona  
					    if($formato=='Qualiteste')echo '<iframe src="ImprimeTermoQualiteste.php" style="border:0" width="150%" height="350"></iframe>';//funciona  
				        if($formato=='TRISOLOXX')echo '<iframe src="ImprimeTermoTRISOLOXXX.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
					 endif;				 
					 //ImprimeTermoQualiteste
				 endif; 	 				 
				 ///////////////////
			  endfor; 	   
	        endif; 
        endif;//testa o tipo doc termo

        if($tipoDoc=='Termo_Aditivo'):
			$formato=$_POST['formato'];
		    $aditivoAO=$_POST['aditivoAO']; 
		    $numero=$_POST['numero']; 
		    $ano=$_POST['ano']; 
            echo("926 gestao2011 aaaaaaaa0109 formato=$formato  aditivoAO=$aditivoAO   idDocGenerico=$idDocGenerico<br>");



			if($idDocGenerico>0):
			  for($vias=1;$vias<=$quantidadeVias;$vias++):  //for para imprimir mais de 1 via
      			//aqui so para imprimir ana tela  primeira segunda e terceira via
				if($quantidadeVias>1):
					 $viasAlfa=$vias." ª via";
					 echo($viasAlfa."<br>");
                endif;
				 $valorDeful=$objetocalculo->capturaDeful($idLabo,'laudo_tetrazolio');
				 $sessao->setVar('controle',$valorDeful);
				 $sessao->setVar('controle5',$aditivoAO);
				 $sessao->setVar('controle6',$numero);
				 $sessao->setVar('controle8',$ano);
				 
				 //se a pessoa informou ele vai salvar para que leve sem precisar informar toda vez
				 if($aditivoAO!=""):
				   echo("857 idDocGenerico=$idDocGenerico<br>");
				   $concatenado=substr($aditivoAO,0,1).'#'.$numero.'#'.substr($ano,2,2).'#';
				   $sql="update documentos set doc_data_analise='$concatenado' where doc_id=".$idDocGenerico;
				   $userDoc = new generica();
				   $userDoc->campos_valores = $sql;				 
				   $userDoc->inserirEspecial($userDoc);
				   echo("863  idDocGenerico=$idDocGenerico sql=$sql<br>");
				 endif;
				 //////////////////
				 if($formato=='Vertical'):
				   echo '<iframe src="ImprimeTermo_Aditivo_Vertical2023.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona
				 elseif($formato=='Vertical2016'):
				     echo '<iframe src="ImprimeTermo_Aditivo_Vertical.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona    
                 elseif($cliente=='LIMAGRAIN'):
				     if($formato=="T.A.Branco"):
					     echo '<iframe src="ImprimeTermo_Aditivo_Branco.php" style="border:0" width="150%" height="350"></iframe>';	 //fun ciona
					 else: 	 
					     $idDocGenerico=$matriziddoque[$indice_ID];
			             echo '<iframe src="ImprimeTermo_Aditivo_LIMAGRAIN.php?opcaoManual='.$idDocGenerico. '" style="border:0" width="150%" height="550"></iframe>';	 //funciona
					 endif;
					 
				 elseif($formato=='Lacador'):
				     echo '<iframe src="ImprimeTermoAditivoLacador.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				  elseif($cliente=='IRGA'):
				     echo '<iframe src="ImprimeTermoAditivoIRGA.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona      
				 elseif($formato=="Advanta"):
					     echo '<iframe src="ImprimeTermo_Aditivo_ADVANTA.php" style="border:0" width="150%" height="350"></iframe>';	 //fun ciona
			     elseif($formato=="T.A.Branco"):
					     echo '<iframe src="ImprimeTermo_Aditivo_Branco.php" style="border:0" width="150%" height="350"></iframe>';	 //fun ciona
				 else:
					     echo '<iframe src="ImprimeTermo_Aditivo.php" style="border:0" width="150%" height="350"></iframe>';//funciona
				 endif;  
                ////////////////////////
			  endfor; 	
			  endif;///verifica se $idDocGenerico>0   
        endif;//verifica se é termo aditivo



        if($tipoDoc=='Certificado'):
		    $formato=$_POST['formato'];
			if($idDocGenerico>0):
			  for($vias=1;$vias<=$quantidadeVias;$vias++):  //for para imprimir mais de 1 via
			   //se a pessoa relamente pediu mais de uma via ele vai criar o numero de via				   //aqui so para imprimir ana tela  primeira segunda e terceira via
				if($quantidadeVias>1):
					 $viasAlfa=$vias." ª via";
					 echo($viasAlfa."<br>");
                endif;
				 if($formato=='Quilos'):
				    echo '<iframe src="imprimecertificadoQuilos.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 elseif($formato=='VIGOR'):
				    //echo '<iframe src="imprimecertificadoVigor.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona ate 010723
				    //echo '<iframe src="imprimecertificadoVigor.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona 
					$idDocGenerico=$matriziddoque[$indice_ID];
				    echo '<iframe src="imprimecertificadoVigor.php?opcaoManual='.$idDocGenerico. '" style="border:0" width="150%" height="350"></iframe>';	 //funciona 
				    //echo '<iframe src="imprimecertificadoLIMAGRAIN.php?opcaoManual='.$idDocGenerico. '" style="border:0" width="150%" height="350"></iframe>';	 //funciona 
					
					
				elseif($formato=='IRGA'):
				    echo '<iframe src="imprimecertificadoIRGA.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona 	
					
					 
				 elseif($formato=='Limagrain'):
				    $idDocGenerico=$matriziddoque[$indice_ID];
				    echo '<iframe src="imprimecertificadoLIMAGRAIN.php?opcaoManual='.$idDocGenerico. '" style="border:0" width="150%" height="350"></iframe>';	 //funciona 
				 elseif($formato=='Certificado branco'):
				    $idDocGenerico=$matriziddoque[$indice_ID];
				    echo '<iframe src="imprimecertificadoBranco.php?opcaoManual='.$idDocGenerico. '" style="border:0" width="150%" height="350"></iframe>';	 //funciona  	
					 

				 elseif($formato=='Seeds'):
				    echo '<iframe src="imprimeCertificadoSeeds.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 
				 
				 else:
				    echo '<iframe src="imprimecertificado.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 endif; 	
			  endfor; 	 
	        endif; 
        endif;//verifica se é certificado

        if($tipoDoc=='TZP'):
			if($idDocGenerico>0):
			     echo '<iframe src="imprimeTZP.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
	        endif; 
        endif;

        if($tipoDoc=='TZC'):
			if($idDocGenerico>0):
			     echo '<iframe src="imprimeTZC.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
	        endif; 
        endif;//verifica tzc

       if($tipoDoc=='Prot_Especial'):
	        echo("935<br>");
	   
		    $formato=$_POST['formato'];
			if($idDocGenerico>0):
			  for($vias=1;$vias<=$quantidadeVias;$vias++):  //for para imprimir mais de 1 via
			   //se a pessoa relamente pediu mais de uma via ele vai criar o numero de via				   //aqui so para imprimir ana tela  primeira segunda e terceira via
				if($quantidadeVias>1):
					 $viasAlfa=$vias." ª via";
					 echo($viasAlfa."<br>");
                endif;
				 if($formato=='GERMINAX'):
				    $sessao->setVar('controle','CURTO_GERMINAX');
				    echo '<iframe src="imprimelivroprotocolo.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 else:
				    //echo '<iframe src="imprimecertificado.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
				 endif; 	
			  endfor; 	 
	        endif; 
        endif;//verifica prot especial


             /*
             $inicio=$_POST['inicio'];
             $final=$_POST['final'];
             if($inicio>0 && $final>0 && $final>=$inicio):
				 $sessao->setVar('inicio',$inicio);
	             $sessao->setVar('final',$final);
		         echo '<iframe src="relatorioLivro.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
             endif;
             */
		//echo("Encerra a sessao que verifica a presença do token");	 
		//$sessao->setVar('transfere',0);
	  endfor;//este for varia de priemrio selecionado ate o ultimo selecionado		

   else:
	 printMSG('970 Precisa selecionar pelo menos um documento, pelo numero inteiro positivo.', 'alerta');		
   endif;//testa se foi realmente selecionado um numero de documento
endif;//este endif é o dos botes imprimir




//$dados=retorna_dados_usuario();
//list($idLabo, $binario, $nivel, $usuario, $idProdutor,$regiao,$idUsuario) = explode(":", $dados);
$cabecalho=$tipoDoc;
if($tipoDoc=="Termo de conformidade") $tipoDoc="Termo";
if($tipoDoc=="Termo_Aditivo") $tipoDoc="Termo_Aditivo";

$nomeSelecionado2=$tipoDoc;
//echo ("alternativa $tipoDoc <br>");
$anoAmostra=$_POST["anoAmostra"];
//$regiao=$_COOKIE["cookieregiaolabo"];
$uf=substr($regiao,0,2);
$tipo=$_POST["tipo"];
$anoDocumento=$sessao->getVar('controle4');
$anoDocumento=$anoCorrente;


$qtd=$_POST["qtd"];
//echo("leu quantosdosc= $qtd<br>");
if(strlen($qtd)==0) $qtd="xx"; //se nao tinha digitado o ano ainda(ao entrar) ele coloca o ano corrente


//cria vetor dos numero de boletim deste usuario deste ano
//ENTRA DE QUAKQUER MANEIRA
$generica=new tabelagenerica();
if($nivel!='PRODUTOR'):
	//$generica->tabela="documentos";
	//$generica->extras_select =" where doc_ano='".$anoDocumento."'  && doc_labo=".$idLabo." && doc_tipo='".$tipoDoc."' order by doc_numero DESC LIMIT 1200";
	$generica->tabela="documentos,documentosponte,ficha";
	$generica->extras_select =" where  dpo_documento_autonumerador=doc_id and dpo_amostra_vinculada=fic_id and doc_ano='".$anoDocumento."'  && doc_labo=".$idLabo." && doc_tipo='".$tipoDoc."' order by doc_numero DESC LIMIT 5200";
else://ou seja se o nivel é produtor
    //se for produtor vip ou mensalista pode emitir o documento
	//se nao for mensalista ou vip ele deve verificar se a amostra esta com fic_status_pago=pago
	$generica->tabela="documentos,documentosponte,ficha";
	$generica->extras_select =" where  dpo_documento_autonumerador=doc_id and dpo_amostra_vinculada=fic_id and fic_produtor=".$idProdutorLogado." and doc_ano='".$anoDocumento."'  && doc_labo=".$idLabo." && doc_tipo='".$tipoDoc."' order by doc_numero DESC LIMIT 20000";
endif;

//echo("967 ggggggggenerica  idProdutorLogado=$idProdutorLogado  modulo gestaao2011->extras_select =  $generica->extras_select <br>");







$generica->campos_valores = array(
		"doc_numero" => NULL,
	);
	
	
//echo(" sql $generica->extras_select  <br>");	
$generica->selecionaCampos($generica);
$contador=0;
$anterior=0;//ele repete o numero entao tem que fazer verificacao se é numero novo
$contaAmostras=0;
while ($resgenerica = $generica->retornaDados()):
    $numeroNovo= $resgenerica->doc_numero;    
    if($numeroNovo!=$anterior):
		$vetor20documentos[$contador] =$anterior.'('.$contaAmostras.')';
		$contador++;
        $anterior=$numeroNovo;
        $contaAmostras=0;
    endif; 
    $contaAmostras++;
    //echo("numeroNovo=$numeroNovo  contaAmostras= $contaAmostras<br>");
endwhile;
//aqui coloca a ultima
$contador++;
$vetor20documentos[$contador] =$numeroNovo.'('.$contaAmostras.')';




//echo("eeeeeeeeeeeeeeeeespecie= $especie $generica->extras_select<br>"); 

$selecionado2=$_POST["nomeSelecionado2"];//boletim/termo/informe etc
//echo ("selecionado2= $selecionado2 selecionado3= $selecionado3 <br>");
$escondeBotao1H="hidden";
$escondeBotao1V="hidden";
//aqui mexe com boletim
/*
tipo='".$tipoDoc."' && doc_numero='".$selecionado2."'";
//echo $sql;
$vetorcampos=$objetocalculo->achacampos($sql);
$idDocGenerico = $vetorcampos[0];
*/
$selecionado2=1;//retirar isso
 //ENTRA DE QUAKQUER MANEIRA
$generica=new tabelagenerica();
$generica->tabela="documentos,documentosponte";
$generica->campos_valores = array(
		"doc_id" => NULL,
	);
//$generica->extras_select =" where dpo_documento_autonumerador=doc_id && doc_ano='".$anoDocumento."'  && doc_labo=".$idLabo." && doc_tipo='".$tipoDoc."' && doc_numero='".$selecionado2."'";
$generica->extras_select =" where dpo_documento_autonumerador=doc_id && doc_ano='".$anoDocumento."'  && doc_labo=".$idLabo." && doc_tipo='".$tipoDoc."'";

//echo("1166 generica->extras_select=$generica->extras_select<br>");


$generica->selecionaCampos($generica);
while ($resgenerica = $generica->retornaDados()):
	$idDocGenerico =$resgenerica->doc_id;
endwhile;
//echo("1028 eeeeeeeeeeeeeee idDocGenerico =idDocGenericoespecie= $especie $generica->extras_select<br>"); 



//boletim tem formato horizpntal e vertical
if($tipoDoc=="Boletim")
{
	echo("Orientação: Se o boletim que for imprimir, tiver -N- no item Pureza, então os pesos de pureza, e pesos DOSN serão preenchidos automàticamente com -0- . Caso haja apenas uma amostra nesta situação, então crie um boletim só para esta amostra.");
	if(strlen($selecionado2)>0)
	{
	   //boletim horizontalvertical
	   $legendaBoleH="Imprimir B.H. Nº".$selecionado2;
	   $selecionado2 = $vetorcampos[1];//recaptura o valor doc_numero, mas so se realmente achou, senao deixa em branco, isso faz sumir o  botao
	   if(strlen($selecionado2)>0)$escondeBotao1H="submit";  //este aparece sempre que tiver sido encontrado algo no vetor
	   //boletim vertical
	   //verifica quantas amostras tem, para nao abrir opção vertical cso tiver mais de uma amostra
	   $nr=1;
	   //echo ("tamnaho do array= $nr<br>");   
	   $legendaBoleV="Imprimir B.V. Nº".$selecionado2;
	   if($nr==1)$escondeBotao1V="submit";  //este so aparece se resultado =1
	}
}

if($tipoDoc!="Boletim")
{
	
	
	//aqui mexe com informe
	if(strlen($selecionado2)>0)
	{
	   $legendaInfo="Imprimir ".$tipoDoc. " Nº ".$selecionado2;
	   //$sql = "SELECT doc_id,doc_numero FROM documentos WHERE  doc_tipo='Informe' && doc_numero='".$selecionado3."'";
	   $idDocGenerico = $vetorcampos[0];
	   $selecionado2 = $vetorcampos[1];
	   $legendaBoleV="Imprimir ".$tipoDoc. " Nº ".$selecionado2;
	   if(strlen($selecionado2)>0)$escondeBotao1V="submit";
	}
}

     //aqui ja vai gravar o numero de vias aproveitando oportunidade

     //$vias=$_POST["vias"];
	 //echo("via $vias<br>");
	 //if(empty($vias))$vias="Via";
	 //$abre = fopen("vias.txt", "w"); //este arquivo
	 //if ($abre) {
	     // Se conseguir abrir o arquivo ele escreve o conteudo com fwrite
	     //fwrite($abre,$vias);
	 //}
	 //fclose($abre);// Fecha o arquivo

//$aditivoAO=$sessao->getVar('controle5');


// inicio do upload do pdf
if (isset($_POST['uploade'])):

     

	//exemplo de um arquivo baixado que esta em sementes2013/pesquisas
	//$teste=$_FILES['arquivo'];
	
	echo  "loade inicio=".$teste ."  final";
	
	
	
	if( $_FILES ) { // Verificando se existe o envio de arquivos.
		echo  "xxxloade inicio=".$uploadfile ."  final";
	if( $_FILES['arquivo'] ) { // Verifica se o campo não está vazio.
		echo  "achou if filesxxxloade inicio=".$uploadfile ."  final";
		//$dir = './arquivos/'; // Diretório que vai receber o arquivo.
		$dir = $_SERVER['DOCUMENT_ROOT'] .'semente2013/php/paineladm/uploads/';
      	
		
		
		$tmpName = $_FILES['arquivo']['tmp_name']; // Recebe o arquivo temporário.
		$name = $dir .$_FILES['arquivo']['name']; // Recebe o nome do arquivo.
	 
		// move_uploaded_file( $arqTemporário, $nomeDoArquivo )
		if( move_uploaded_file( $tmpName, $name ) ) { // move_uploaded_file irá realizar o envio do arquivo.		
			//header('Location: sucesso.php'); // Em caso de sucesso, retorna para a página de sucesso.	
			printMSG('okvvvvvvv','alerta');		
		} else {
		    printMSG('nao okvvvvv','alerta'); 
					
			//header('Location: erro.php'); // Em caso de erro, retorna para a página de erro.			
		}
		
	 }
	}
endif;
//criar vetor tecnicos
$user = new tecnico();
/*
if($tipoDoc=='Certificado'):
   $atribuicao=" ret_funcao='CER2' and  ";//TEM CER2,CER2
elseif(substr($tipoDoc,0,5)=="Termo")://TERNO E TERMO ADITIVO
   $atribuicao=" ret_funcao='TCON' and  ";
else://aqui os diversos que vao para bole    
   $atribuicao=" ret_funcao='BOLE' and  ";
endif;
*/
$atribuicao="";
if($tipoDoc=='Boletim'  || $tipoDoc=='Informe'   ):
   $atribuicao=" ret_funcao='BOLE' and  ";
endif;
//$user->extras_select = "WHERE   ret_id_labo=".$idLabo." order by ret_nome ";
//$user->extras_select = "WHERE substr(ret_funcao,0,1)='".$atribuicao."' and  ret_id_labo=".$idLabo." order by ret_nome ";
//$user->extras_select = "WHERE ret_funcao='BOLE' and  ret_id_labo=".$idLabo." order by ret_nome ";
$user->extras_select = "WHERE ".$atribuicao."  ret_id_labo=".$idLabo." order by ret_nome ";
echo  $user->extras_select;
$user->selecionaTudo($user);
$contadorTecnico=0;
while ($res = $user->retornaDados()):
    $contadorTecnico++;  
	$vetorTecnico[$contadorTecnico]=substr($res->ret_nome,0,10) .";".$res->ret_funcao.";".$res->ret_ativo.";".$res->ret_id.';' ;
endwhile; 




//fm do upload do pdf

?>








<form class="userform" method="POST" action="">

<input type="hidden" name="idAmostra" value="<?php echo($amostraLong)?>" size=2 />
<input type="hidden" name="tipo1" value=<?php echo $reanLong ?> size=5 />

<input type=  "hidden" size="1"  name="tipo" id="tipo" value="<?php echo $tipo?>" />
<input type = "hidden" size="1"  name="amostraLong" value=<?php echo $amostraLong?>/>

<!--tabela mestra-->
 
<table bgcolor="#91c2ca"  border="1"  cellpadding="5" cellpadding="1"  width="800">
<td><table  border="1" bgcolor="#6BAEB8">
<tr><td>Ano do</td></tr>
<tr><td>Documento</td></tr>
<tr><td><input type = "text" size="5"  name="ano" value="<?php echo $anoDocumento?>"></td></tr>
<tr><td><a href="?m=gestao2011&t=entrada">Ir p/inicio</a></td></tr>
</table></td>
<td><table  bgcolor="#6BAEB8"   border="1">
<tr><td>Número de vias </td></tr>
<tr><td><select name="vias">
<option><?php echo  $vias_documento_habitual;?> </option>
<option>1ª via  </option>
<option>2ª via  </option>
<option>3ª via  </option>
<option>Duplicata</option>
<option>Via adicional</option>
<option>Em branco</option>
<option>Vias 1,2 e 3</option>
<option>*Vias 1,2 e 3</option>
<option>Vias 2 e 3</option>
</select> 
</td></tr>
<tr>
<td>
<input type = "text" size="1"  name="quantidadeVias" value="<?php echo $quantidadeVias;?>"/>Vias
</td>
</tr>
<tr>
<td>
<input <input type = "text" size="1"  name="quantidadeViasMescladas" value="<?php echo $quantidadeViasMescladas;?>"/>Vias mescladas
</td>
</tr>
<tr><td>Mescladas cria um </td></tr>
<tr><td>arquivo PDF, com</td></tr>
<tr><td>com várias páginas.</td></tr>


<tr><td><input type="checkbox"  name="branco" />Em branco</td></tr>
<tr><td><input type="checkbox"  name="assinaturaDesativada" />DesativaAssinatura</td></tr>


</table></td>



<td><table  border="1"  bgcolor="#6BAEB8">
<tr><td>Nº de <?php echo $tipoDoc;?></td></tr>
<tr><td>(Qtd amostras)</td></tr>

<tr><td> <select name="numeroSelecionado"  multiple  size="10" >  
     <?php
	 foreach($vetor20documentos as $vlr)
     {
    	 $nr++;
		 if($vlr>0) //para nao imprimir linha em branco ou um lixo
		 {
			 ?>
		   		<option><?php echo $vlr;?></option>
		     <?php
	     }	 
     }
     ?>
     </select>
</td></tr>
<tr><td><input type="submit" name="bt_imprimir"  value="Imprimirx" /></td></tr>
<!--<tr><td>Com CD<input type="checkbox" name="cb_digital" <?php echo $checado1;?>  /></td></tr>-->
<tr><td>Ocultar Pureza<input type="checkbox" name="cb_ocultar_pureza" <?php echo $checado1;?>  /></td></tr>
<tr><td>BolH2018<input type="checkbox" name="cb_BolH2018" <?php echo $checado1H2018;?>  /></td></tr>
<tr><td><input type="submit" name="bt_duplicados"  value="Duplicados" /></td></tr>
<tr><td><input type="submit" name="bt_critica"  value="Crítica" /></td></tr>

</table></td>

<td><table  border="1"  bgcolor="#bcdade" >
<tr><td>Digite o número e</td></tr>
<tr><td>clique Achar/Imprimir</td></tr>
<tr>
<td>Inicio<input type = "text" size="1"  name="primeiroNumeroDigitado"      value="<?php echo $primeiroNumero;?>">
Final<input type = "text" size="1"  name="segundoNumeroDigitado"      value="<?php echo $segundoNumero;?>"></td>

</tr>

<tr><td><input type="submit" name="bt_acharImprimir"  value="Achar/Imprimir" /></td></tr>
<tr><td><input type="submit" name="bt_exportarExcel"  value="Exportar para Excel(v)" /></td></tr>

<?php 
//$registrosDeletados="10 registros foram deletados";
if(strLen($registrosDeletados)>0):
?>
<tr><td   bgcolor='red'><input type="submit" name="bt_deletados"  value="<?php echo $registrosDeletados;?>" /></td></tr>



<tr><td>Tecnico:</td></tr>

<select name="tecnico"  value="">

<?php
for($ii=1;$ii<=$contadorTecnico;$ii++):
 echo"<tr>";
 printf('<td bgcolor="white">%s',$vetorTecnico[$ii]);
 printf(' <a href="?m=gestao2011&t=trabalhar&tecnico=%s" title="edit"><img src="images/edit.png" alt="Editar" /></a> </td>',$vetorTecnico[$ii]);
 echo"</tr>";
  
endfor;
?>
</select> 
</td></tr>
<?php
endif;
?>


<!--
<tr><td><input type="submit" name="uploade" value="Upload de arquivo?" /></td></tr>
-->
<tr>
<td>Certificado de outro LAB</td>
</tr>
<tr>
<td>Número<input type = "text" size="5"  name="numeroCertificadoOutroLAB"      value="<?php echo $numeroCertificadoOutroLAB;?>"/></td>
</tr>
<tr>
<td>Data<input type = "text" size="5"  name="dataCertificadoOutroLAB"      value="<?php echo $dataCertificadoOutroLAB;?>"/></td>
</tr>

</table></td>

<!--Vai esconder o combo formato se a opção nao for boletim-->
<?php
if($tipoDoc=="Boletim"):
?>
<td><table bgcolor="#6BAEB8"  border="1">
<tr><td>Formato:</td></tr>
<tr><td><select name="formato">
<option><?php echo $formato_documento_habitual;?></option>
<option>Horizontal</option>
<option>Vertical</option>
<option>Vertical_MIX</option>
<option>HorizontalBranco</option>
</select> 
</td></tr>
</table></td>
<?php
endif;
?>

<!--Vai esconder o combo formato se a opção nao for plural-->
<?php
if($tipoDoc=="Plural"):
?>
<td><table bgcolor="#6BAEB8"  border="1">
<tr><td>Formato:</td></tr>
<tr><td><select name="formato"  >
<option><?php echo $formato_plural;?></option>
<option>Forrageiras</option>
<option>Outros</option>
<option>CRUZ ALTA</option>
<option>UBERLANDIA</option>
<option>RiceTec</option>
</select> 
</td></tr>
</table></td>
<?php
endif;
?>

<!--Vai esconder o combo formato se a opção nao for INFORME-->
<?php
if($tipoDoc=="Informe"):
?>
<td><table bgcolor="#6BAEB8"  border="1">
<tr><td>Formato:</td></tr>
<tr><td><select name="formato">
<option><?php echo $formato_informe;?></option>
<option>Convencional</option>
<option>Conv(1 colu.)</option>
<option>Forrageiras</option>
<option>Forr_Dimi</option>
<option>Forrag(1 amostra)</option>
<option>CRUZ ALTA</option>
<option>UBERLANDIA</option>
<option>formato2015</option>
<option>informeMIX</option>
<option>GENETICA</option>
<option>Conceito</option>
<option>DIMICRON</option>
<option>TRI-2025</option>
<option>EspecialADV</option>
<option>EspecialLASSUL</option>
<option>EspecialUFLA</option>
<option>ImitaBoletim</option>
<option>TestesOto</option>
<option>JATAI</option>
<option>VIGOR1</option>
<option>VIGOR2</option>
<option>EM_TESTES</option>
<option>INFORME SEEDS</option>
<option>INFORME CELEIRO</option>
<option>InformeIngles</option>
<option>IRGA</option>
</select> 
</td></tr>
</table></td>
<?php
endif;
?>

<?php
if($tipoDoc=="TZO"):
?>
<td><table bgcolor="#6BAEB8"  border="1">
<tr><td>Formato:</td></tr>
<tr><td><select name="formato">
<option><?php echo $formato_tzo;?></option>
<option>basico</option>
<option>completo</option>
<option>unisystem</option>
<option>syngenta</option>
<option>syngenta1</option>
<option>3pinheiros</option>
<option>tz15</option>
<option>tz45</option>
</select> 
</td>
<td><input type="submit" name="arquivoExcel" value="Exportar para Excell." /></td>





</tr>
<tr>
<td><input type="submit" name="arquivoExcel" value="xxxxxx" /></td>

</tr>




</table></td>
<?php
endif;
?>




<?php
if($tipoDoc=="Termo"):
if($cliente=='BAREN')$formato_termo="Vertical";
//if($cliente=='VIGOR')$formato_termo="Quali-Mana";
if($cliente=='VIGOR')$formato_termo="Vigor2023";
if($cliente=='VIGOR')$formato_termo="Vigor2023A";
if($cliente=='SEEDS')$formato_termo="Seeds2023A";
?>
<td><table bgcolor="#6BAEB8"  border="1">
<tr>
<td>Formato:</td></tr>
<tr><td><select name="formato">
<option><?php echo $formato_termo;?></option>
<option>Brasil</option>
<option>Brasil2</option>
<option>Qualiteste</option>
<option>termoLacador</option>
<option>TRISOLO-H</option>
<option>TRISOLO-V</option>
<option>Contaminantes</option>
<option>Vertical</option>
<option>Vertical2016</option>
<option>termoBranco</option>
<option>Quali-Mana</option>
<option>VIGOR2023</option>
<option>VIGOR2023A</option>
<option>SEEDS2023</option>
</select> 
</td>
</tr>
<!--SEGUNDA LINHA-->
</table></td>
<?php
endif;
?>





///////////////////////////////
<!--Vai esconder o combo formato se a opção nao for Prot_Especial-->
<?php
if($tipoDoc=="Prot_Especial"):
?>
<td><table bgcolor="#6BAEB8"  border="1">
<tr><td>Formato:</td></tr>
<tr><td><select name="formato"  >

<option>GERMINAX</option>
</select> 
</td></tr>
</table></td>
<?php
endif;
?>
///////////////////////////


///////////////////////////

<?php
if($tipoDoc=="Certificado"):
?>
<td><table bgcolor="#6BAEB8"  border="1">
<tr><td>Formato:</td></tr>
<tr><td><select name="formato">
<option><?php echo $formato_certificado;?></option>
<option>2 colunas</option>
<option>Quilos</option>
<option>VIGOR</option>
<option>LIMAGRAIN</option>
<option>Seeds</option>
<option>IRGA</option>
<option>Certificado branco</option>

</select> 
</td>
</tr>
<!--SEGUNDA LINHA-->




</table></td>


<?php
endif;
?>


<?php
if($cliente=='BAREN')$formato_termoAD="Vertical";
if($tipoDoc=="Termo_Aditivo"):
?>
<td><table bgcolor="#6BAEB8"  border="1">
<tr>
<td>Formato:</td></tr>
<tr><td>
<select name="formato">
<option><?php echo $formato_termoAD;?></option>
<option>Advanta</option>
<option>Brasil</option>
<option>Qualiteste</option>
<option>Contaminantes</option>
<option>Vertical</option>
<option>Vertical2016</option>
<option>Lacador</option>
<option>IRGA</option>
<option>T.A.Branco</option>
</select> 
</td>
</tr>
<!--SEGUNDA LINHA-->
<tr>
<td>Aditivo ao 
<select name="aditivoAO">
<option><?php echo $aditivoAO;?></option>
<option>Certificado</option>
<option>Termo</option>
</select> 
</td>
</tr>
<!--TERCEIRA LINHA-->
<tr>
<td>
Número: <input type "text" name="numero" size="5"  value="<?php echo $numero;?>" />
<?php
$anoPreenchido=$anoCorrente;
if($cliente=='BAREN')$anoPreenchido="";
?>
ano: <input type "text" name="ano" size="5"  value="<?php echo $anoPreenchido;?>" />
</td>
</tr>



</table></td>


<?php
endif;
?>








<p>Importante:1)Para imprimir mais de uma via numerada, informe o número de vias.</p>
<p>2)Para ajustar com as normas de qualidade acesse:CADASTROS->N.QUALIDADE.</p>
<p>3)Se estiver imprimindo boletim e quiser armazena-lo na nuvem, para consulta de terceiros, marque [Com CD].</p>



</table>




</form>
<?php 

break;




   default:
	  echo '<p>A tela solicitada não existe.</p>';
   break;
endswitch;




?>